Ruby: pm_pre_execution_node Struct Reference

Ruby 3.4.3p32 (2025-04-14 revision d0b7e5b6a04bde21ca483d20a1546b28b401c2d4)

Data Fields
pm_pre_execution_node Struct Reference

PreExecutionNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_statements_node * | statements
| PreExecutionNode#statements.
pm_location_t | keyword_loc
| PreExecutionNode#keyword_loc.
pm_location_t | opening_loc
| PreExecutionNode#opening_loc.
pm_location_t | closing_loc
| PreExecutionNode#closing_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

PreExecutionNode.

Represents the use of the `BEGIN` keyword.

    BEGIN { foo }
    ^^^^^^^^^^^^^

Type: PM_PRE_EXECUTION_NODE

Definition at line 6584 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_pre_execution_node::base

The embedded base node.

Definition at line 6586 of file ast.h.

Referenced by pm_dump_json().

## ◆ closing_loc

pm_location_t pm_pre_execution_node::closing_loc

PreExecutionNode#closing_loc.

Definition at line 6607 of file ast.h.

Referenced by pm_dump_json().

## ◆ keyword_loc

pm_location_t pm_pre_execution_node::keyword_loc

PreExecutionNode#keyword_loc.

Definition at line 6597 of file ast.h.

Referenced by pm_dump_json().

## ◆ opening_loc

pm_location_t pm_pre_execution_node::opening_loc

PreExecutionNode#opening_loc.

Definition at line 6602 of file ast.h.

Referenced by pm_dump_json().

## ◆ statements

struct pm_statements_node* pm_pre_execution_node::statements

PreExecutionNode#statements.

Definition at line 6592 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h